import { EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { TableHeaderClass, TableOptionsClass } from './table.type';
import { ColumnNewComponent } from './column.new.component';
export declare class TableNewComponent implements OnInit {
    nowSort: any;
    dropLeft: number;
    filterDrop: Array<any>;
    allCheck: any;
    expandAllFlag: boolean;
    cloumnTemplate: TemplateRef<ColumnNewComponent>;
    options: TableOptionsClass;
    _headers: TableHeaderClass[];
    headers: TableHeaderClass[];
    _datas: Array<any>;
    datas: any[];
    checkEvent: EventEmitter<any>;
    expandAllEvent: EventEmitter<any>;
    expandItemEvent: EventEmitter<any>;
    sortEvent: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    initAllCheckStatus(checked: boolean): void;
    calcTheadPadding(): "18px" | "8px";
    calcBodyHeight(height?: string): string;
    deleteDefaultFilter(filed: string): void;
    onDocumentClick(ev: any): void;
    sort(header: any): void;
    hideFilterDrop(): void;
    filterCheckAllEvent(ev: any): void;
    filterCheckItemEvent(ev: any): void;
    showFilterDrop(index: number, ev: any): void;
    clickFilter(ev: any, header: any, index: number): void;
    checkEmpty(ev: any, header: any, index?: number): void;
    calcPaddingLeft(header: any, row: any): string;
    sendCheckOption(ev: any, header: any, list: any): void;
    insertData(datas: Array<any>, parent?: any): void;
    deleteDataByKey(key: string, val: any): boolean;
    updateDataByKey(key: string, val: any, data: any): boolean;
    initDatas(datas: any, parent?: any): void;
    expandAll(header: any, ev: any): void;
    expandItem(header: any, data: any, ev: any): void;
    checkRows(datas: any, check: boolean): void;
    allCheckEvent(ev: any): void;
    checkBoxChange(ev: any): void;
    private _findItemByKey(key, val, datas);
    private _findParentsByItem(result, key, val, datas);
    private _findParentByKey(key, val, datas, parent?);
    findParentsByKey(key: string, val: any): any;
    findParentByKey(key: string, val: any): any;
    findItemByKey(key: string, val: any): any;
    getCheckedsItem(): any[];
    getCheckedsItemByDatas(result: Array<any>, source: Array<any>): void;
    toggleItemByItem(item: any): void;
    dateChangeEvent(ev: any, filter: any, type?: string): void;
    sendDateCheckEvent(ev: any, filter: any, header: any): void;
}
